# Generated by go2rpm
%bcond_without check

# https://github.com/docker/licensing
%global goipath         github.com/docker/licensing
%global commit          340365cb8cf0b1fbb35aa9c454957e8e1be436ed

%gometa

%global common_description %{expand:
Licensing is a library for interacting with Docker issued product licenses. It
facilitates user's authentication to the Docker Hub, provides a mechanism for
retrieving a user's existing docker-issued subscriptions/licenses, detects and
verifies locally stored licenses, and can be used to provision trial licenses
for Docker Enterprise Edition.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Library for interacting with Docker issued product licenses

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Fix jwt.Claims to use with newer jwt-go
Patch0:         0001-Fix-jwt.Claims-to-use-with-newer-jwt-go.patch

BuildRequires:  golang(github.com/asaskevich/govalidator)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/api/types/filters)
BuildRequires:  golang(github.com/docker/docker/api/types/swarm)
BuildRequires:  golang(github.com/docker/libtrust)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/stretchr/testify/mock)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Jeffail/gabs)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%install
%gopkginstall

%if %{with check}
%check
# lib/go-clientlib: needs network
%gocheck -d lib/errors -d lib/go-clientlib
%endif

%gopkgfiles

%changelog
* Mon May 13 17:44:58 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.201900702git340365c
- Initial package
